Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041207
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-07-01 09:582019-07-12 13:56
ReporteraaroncaleroView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR19Q4
StatusclosedFix in branchFixed in SCM revisionb963e8c9401e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041207: OB.UTIL.clone always copies arrays by reference

DescriptionOB.UTIL.clone always copies arrays by reference, instead of generating a new array and cloning the values.
Steps To ReproduceCheck the code that copies array properties:
https://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/file/tip/web/org.openbravo.mobile.core/source/utils/ob-utilities.js#l1057 [^]

Instead of checking if the property is an array, the code is checking if the whole object is an array, which is wrong
Proposed SolutionIn the linked code, change from
} else if (_.isArray(source)) {
to
} else if (_.isArray(source.get(key))) {
TagsNo tags attached.
Attached Filespatch file icon issue 41207 source mobilecore.patch [^] (1,271 bytes) 2019-07-02 14:56 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0041267RR19Q3 resolvedranjith_qualiantech_com OB.UTIL.clone always copies arrays by reference 
depends on backport 0041268RR19Q2.2 scheduledranjith_qualiantech_com OB.UTIL.clone always copies arrays by reference 
depends on backport 0041269RR19Q1.3 resolvedranjith_qualiantech_com OB.UTIL.clone always copies arrays by reference 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0113155)
hgbot (developer)
2019-07-03 15:36

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: b963e8c9401e7a87f8758f6a08b89677a435a2cf
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Wed Jul 03 19:06:14 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/b963e8c9401e7a87f8758f6a08b89677a435a2cf [^]

Fixed issue 41207 : Update OB.UTIL.clone to check the property is an Array

* When cloning object from array, if object is backbone the it should cloned recursively
  if object is not backbone, then copy of object should be pushed to target object

---
M web/org.openbravo.mobile.core/source/utils/ob-utilities.js
---
(0113164)
hgbot (developer)
2019-07-04 08:11

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: df42e1626ff904aca1cd9cefbb8352ab88ced2df
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Jul 04 11:41:11 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/df42e1626ff904aca1cd9cefbb8352ab88ced2df [^]

Related to issue 41207 : Backed out changeset: b963e8c9401e

---
M web/org.openbravo.mobile.core/source/utils/ob-utilities.js
---
(0113246)
hgbot (developer)
2019-07-09 15:10

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: d37ef4ea7391f5658befc792482537706b6a5acb
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Jul 09 18:40:09 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/d37ef4ea7391f5658befc792482537706b6a5acb [^]

Related to issue 41207 : Update OB.UTIL.clone to check the property is an Array

* When cloning object from array, if object is backbone the it should cloned recursively
  if object is not backbone, then copy of object should be pushed to target object

---
M web/org.openbravo.mobile.core/source/utils/ob-utilities.js
---
(0113247)
hgbot (developer)
2019-07-09 15:11

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 9b20d50ad612e475617318db3f34022e981de0ba
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Jul 09 18:40:51 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9b20d50ad612e475617318db3f34022e981de0ba [^]

Related to issue 41207 : Shipping Address should be same as invoice address when loading paid receipt

* WHen splitting lines with promotions, line lineQtyOffer should be updated instead of creating new lines to apply promotions

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---

- Issue History
Date Modified Username Field Change
2019-07-01 09:58 aaroncalero New Issue
2019-07-01 09:58 aaroncalero Assigned To => Retail
2019-07-01 09:58 aaroncalero Triggers an Emergency Pack => No
2019-07-01 15:16 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-07-01 15:17 ranjith_qualiantech_com Status new => scheduled
2019-07-02 08:25 ranjith_qualiantech_com File Added: issue 41207 source mobilecore.patch
2019-07-02 08:30 ranjith_qualiantech_com File Deleted: issue 41207 source mobilecore.patch
2019-07-02 14:56 ranjith_qualiantech_com File Added: issue 41207 source mobilecore.patch
2019-07-03 15:36 hgbot Checkin
2019-07-03 15:36 hgbot Note Added: 0113155
2019-07-03 15:36 hgbot Status scheduled => resolved
2019-07-03 15:36 hgbot Resolution open => fixed
2019-07-03 15:36 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/b963e8c9401e7a87f8758f6a08b89677a435a2cf [^]
2019-07-03 16:14 ranjith_qualiantech_com Status resolved => new
2019-07-03 16:14 ranjith_qualiantech_com Resolution fixed => open
2019-07-03 16:14 ranjith_qualiantech_com Status new => scheduled
2019-07-03 19:03 marvintm Status scheduled => acknowledged
2019-07-03 19:04 marvintm Status acknowledged => scheduled
2019-07-04 08:11 hgbot Checkin
2019-07-04 08:11 hgbot Note Added: 0113164
2019-07-09 15:10 hgbot Checkin
2019-07-09 15:10 hgbot Note Added: 0113246
2019-07-09 15:11 hgbot Checkin
2019-07-09 15:11 hgbot Note Added: 0113247
2019-07-09 15:12 ranjith_qualiantech_com Status scheduled => resolved
2019-07-09 15:12 ranjith_qualiantech_com Resolution open => fixed
2019-07-11 15:32 hgbot Checkin
2019-07-11 15:32 hgbot Note Added: 0113288
2019-07-12 13:52 guilleaer Note Deleted: 0113288
2019-07-12 13:56 guilleaer Review Assigned To => guilleaer
2019-07-12 13:56 guilleaer Status resolved => closed
2019-07-12 13:56 guilleaer Fixed in Version => RR19Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker